## ros-one-cras-docs-common 2.5.1-41jammy.20251023.0736

=== debian/changelog ===
ros-one-cras-docs-common (2.5.1-41jammy.20251023.0736) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 23 Oct 2025 07:36:01 +0000

ros-one-cras-docs-common (2.5.1-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Tue, 18 Feb 2025 00:00:00 -0000

ros-one-cras-docs-common (2.5.0-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 13 Feb 2025 00:00:00 -0000

ros-one-cras-docs-common (2.4.8-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Tue, 07 Jan 2025 00:00:00 -0000

ros-one-cras-docs-common (2.4.7-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 12 Dec 2024 00:00:00 -0000

ros-one-cras-docs-common (2.4.6-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 12 Dec 2024 00:00:00 -0000

ros-one-cras-docs-common (2.4.5-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Sat, 02 Nov 2024 00:00:00 -0000

ros-one-cras-docs-common (2.4.4-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Sat, 14 Sep 2024 00:00:00 -0000

ros-one-cras-docs-common (2.4.3-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Sat, 14 Sep 2024 00:00:00 -0000

ros-one-cras-docs-common (2.4.2-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 05 Sep 2024 00:00:00 -0000

ros-one-cras-docs-common (2.4.1-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 04 Sep 2024 00:00:00 -0000

ros-one-cras-docs-common (2.4.0-0jammy) jammy; urgency=high

  * Fine-tuned appearance of inline code in Spinx docs and allowed to type inline code by single backticks.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 04 Sep 2024 00:00:00 -0000

ros-one-cras-docs-common (2.3.9-0jammy) jammy; urgency=high

  * Removed catkin_lint buildfarm hacks.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Tue, 27 Feb 2024 00:00:00 -0000

ros-one-cras-docs-common (2.3.8-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 12 Jan 2024 00:00:00 -0000

ros-one-cras-docs-common (2.3.7-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Tue, 09 Jan 2024 00:00:00 -0000

ros-one-cras-docs-common (2.3.6-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Tue, 09 Jan 2024 00:00:00 -0000

ros-one-cras-docs-common (2.3.5-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Tue, 21 Nov 2023 00:00:00 -0000

ros-one-cras-docs-common (2.3.4-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 25 Oct 2023 00:00:00 -0000

ros-one-cras-docs-common (2.3.3-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 06 Oct 2023 00:00:00 -0000

ros-one-cras-docs-common (2.3.2-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 06 Oct 2023 00:00:00 -0000

ros-one-cras-docs-common (2.3.1-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 13 Jul 2023 00:00:00 -0000

ros-one-cras-docs-common (2.3.0-0jammy) jammy; urgency=high

  * Increased minimum CMake version to 3.10.2.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 12 Jul 2023 00:00:00 -0000

ros-one-cras-docs-common (2.2.3-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 16 Jun 2023 00:00:00 -0000

ros-one-cras-docs-common (2.2.2-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 15 May 2023 00:00:00 -0000

ros-one-cras-docs-common (2.2.1-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 15 May 2023 00:00:00 -0000

ros-one-cras-docs-common (2.2.0-0jammy) jammy; urgency=high

  * Fixed sphinx docs build on Noetic.
  * Added support for custom themes.
  * Improved readme
  * Fixed wrong cross-references created for :ivar: fields by Sphinx.
  * Fix providing the custom sphinx theme to packages from this stack on ROS buildfarm.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Sun, 09 Apr 2023 00:00:00 -0000

ros-one-cras-docs-common (2.1.2-0jammy) jammy; urgency=high

  * python3-catkin-sphinx has been released in buster, let's define the dependency for good now.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 10 Feb 2023 00:00:00 -0000

ros-one-cras-docs-common (2.1.1-0jammy) jammy; urgency=high

  * Revert adding python3-catkin-sphinx dependency until it is released for noetic/buster.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 08 Feb 2023 00:00:00 -0000

ros-one-cras-docs-common (2.1.0-0jammy) jammy; urgency=high

  * Add python3-catkin-sphinx dependency as it has been added to rosdep.
  * Install the Spinx theme files.
  * Improved Sphinx CSS.
  * Fix tests.
  * Temporarily disable python3-catkin-sphinx until the rosdep key exists.
  * Added license.
  * Added cras_docs_common with a common Sphinx configuration.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 08 Feb 2023 00:00:00 -0000

ros-one-cras-docs-common (2.0.10-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 24 Nov 2022 17:43:00 -0000

ros-one-cras-docs-common (2.0.9-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 24 Nov 2022 17:33:00 -0000

ros-one-cras-docs-common (2.0.8-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 24 Nov 2022 16:00:00 -0000

ros-one-cras-docs-common (2.0.7-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 24 Nov 2022 15:38:00 -0000

ros-one-cras-docs-common (2.0.6-0jammy) jammy; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 24 Nov 2022 15:03:00 -0000

ros-one-cras-docs-common (2.0.5-0jammy) jammy; urgency=high





## ros-one-cras-docs-common 2.5.1-41noble.20251023.0735

=== debian/changelog ===
ros-one-cras-docs-common (2.5.1-41noble.20251023.0735) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 23 Oct 2025 07:35:28 +0000

ros-one-cras-docs-common (2.5.1-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Tue, 18 Feb 2025 00:00:00 -0000

ros-one-cras-docs-common (2.5.0-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 13 Feb 2025 00:00:00 -0000

ros-one-cras-docs-common (2.4.8-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Tue, 07 Jan 2025 00:00:00 -0000

ros-one-cras-docs-common (2.4.7-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 12 Dec 2024 00:00:00 -0000

ros-one-cras-docs-common (2.4.6-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 12 Dec 2024 00:00:00 -0000

ros-one-cras-docs-common (2.4.5-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Sat, 02 Nov 2024 00:00:00 -0000

ros-one-cras-docs-common (2.4.4-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Sat, 14 Sep 2024 00:00:00 -0000

ros-one-cras-docs-common (2.4.3-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Sat, 14 Sep 2024 00:00:00 -0000

ros-one-cras-docs-common (2.4.2-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 05 Sep 2024 00:00:00 -0000

ros-one-cras-docs-common (2.4.1-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 04 Sep 2024 00:00:00 -0000

ros-one-cras-docs-common (2.4.0-0noble) noble; urgency=high

  * Fine-tuned appearance of inline code in Spinx docs and allowed to type inline code by single backticks.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 04 Sep 2024 00:00:00 -0000

ros-one-cras-docs-common (2.3.9-0noble) noble; urgency=high

  * Removed catkin_lint buildfarm hacks.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Tue, 27 Feb 2024 00:00:00 -0000

ros-one-cras-docs-common (2.3.8-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 12 Jan 2024 00:00:00 -0000

ros-one-cras-docs-common (2.3.7-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Tue, 09 Jan 2024 00:00:00 -0000

ros-one-cras-docs-common (2.3.6-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Tue, 09 Jan 2024 00:00:00 -0000

ros-one-cras-docs-common (2.3.5-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Tue, 21 Nov 2023 00:00:00 -0000

ros-one-cras-docs-common (2.3.4-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 25 Oct 2023 00:00:00 -0000

ros-one-cras-docs-common (2.3.3-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 06 Oct 2023 00:00:00 -0000

ros-one-cras-docs-common (2.3.2-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 06 Oct 2023 00:00:00 -0000

ros-one-cras-docs-common (2.3.1-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 13 Jul 2023 00:00:00 -0000

ros-one-cras-docs-common (2.3.0-0noble) noble; urgency=high

  * Increased minimum CMake version to 3.10.2.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 12 Jul 2023 00:00:00 -0000

ros-one-cras-docs-common (2.2.3-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 16 Jun 2023 00:00:00 -0000

ros-one-cras-docs-common (2.2.2-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 15 May 2023 00:00:00 -0000

ros-one-cras-docs-common (2.2.1-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 15 May 2023 00:00:00 -0000

ros-one-cras-docs-common (2.2.0-0noble) noble; urgency=high

  * Fixed sphinx docs build on Noetic.
  * Added support for custom themes.
  * Improved readme
  * Fixed wrong cross-references created for :ivar: fields by Sphinx.
  * Fix providing the custom sphinx theme to packages from this stack on ROS buildfarm.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Sun, 09 Apr 2023 00:00:00 -0000

ros-one-cras-docs-common (2.1.2-0noble) noble; urgency=high

  * python3-catkin-sphinx has been released in buster, let's define the dependency for good now.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 10 Feb 2023 00:00:00 -0000

ros-one-cras-docs-common (2.1.1-0noble) noble; urgency=high

  * Revert adding python3-catkin-sphinx dependency until it is released for noetic/buster.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 08 Feb 2023 00:00:00 -0000

ros-one-cras-docs-common (2.1.0-0noble) noble; urgency=high

  * Add python3-catkin-sphinx dependency as it has been added to rosdep.
  * Install the Spinx theme files.
  * Improved Sphinx CSS.
  * Fix tests.
  * Temporarily disable python3-catkin-sphinx until the rosdep key exists.
  * Added license.
  * Added cras_docs_common with a common Sphinx configuration.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 08 Feb 2023 00:00:00 -0000

ros-one-cras-docs-common (2.0.10-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 24 Nov 2022 17:43:00 -0000

ros-one-cras-docs-common (2.0.9-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 24 Nov 2022 17:33:00 -0000

ros-one-cras-docs-common (2.0.8-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 24 Nov 2022 16:00:00 -0000

ros-one-cras-docs-common (2.0.7-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 24 Nov 2022 15:38:00 -0000

ros-one-cras-docs-common (2.0.6-0noble) noble; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 24 Nov 2022 15:03:00 -0000

ros-one-cras-docs-common (2.0.5-0noble) noble; urgency=high





## ros-one-cras-docs-common 2.5.1-89jammy.20251215.2037

=== debian/changelog ===
ros-one-cras-docs-common (2.5.1-89jammy.20251215.2037) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 15 Dec 2025 20:37:19 +0000

## ros-one-cras-docs-common 2.5.1-89noble.20251215.2037

=== debian/changelog ===
ros-one-cras-docs-common (2.5.1-89noble.20251215.2037) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 15 Dec 2025 20:37:44 +0000

## ros-one-cras-docs-common 2.5.1-125jammy.20260119.2037

=== debian/changelog ===
ros-one-cras-docs-common (2.5.1-125jammy.20260119.2037) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 19 Jan 2026 20:37:38 +0000

## ros-one-cras-docs-common 2.5.1-125noble.20260119.2035

=== debian/changelog ===
ros-one-cras-docs-common (2.5.1-125noble.20260119.2035) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 19 Jan 2026 20:35:59 +0000

## ros-one-cras-docs-common 2.5.1-132jammy.20260128.2041

=== debian/changelog ===
ros-one-cras-docs-common (2.5.1-132jammy.20260128.2041) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 28 Jan 2026 20:41:19 +0000

## ros-one-cras-docs-common 2.5.1-132noble.20260128.2041

=== debian/changelog ===
ros-one-cras-docs-common (2.5.1-132noble.20260128.2041) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 28 Jan 2026 20:41:58 +0000

## ros-one-cras-docs-common 2.5.1-140jammy.20260213.2053

=== debian/changelog ===
ros-one-cras-docs-common (2.5.1-140jammy.20260213.2053) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 13 Feb 2026 20:53:30 +0000

## ros-one-cras-docs-common 2.5.1-140noble.20260213.2058

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2)
project(cras_docs_common)

find_package(catkin REQUIRED)

catkin_python_setup()

catkin_package()

install(DIRECTORY src/${PROJECT_NAME}/sphinx-themes DESTINATION ${CATKIN_PACKAGE_PYTHON_DESTINATION})

if (CATKIN_ENABLE_TESTING)
  find_package(roslint REQUIRED)

  roslint_custom(catkin_lint "-W2" .)
  roslint_add_test()  # Move this outside the if() block when more roslint tests are added
endif()

=== debian/changelog ===
ros-one-cras-docs-common (2.5.1-140noble.20260213.2058) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 13 Feb 2026 20:58:44 +0000

=== debian/control ===
Source: ros-one-cras-docs-common
Section: misc
Priority: optional
Maintainer: Martin Pecka <peckama2@fel.cvut.cz>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-one-cras-docs-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-catkin-sphinx, python3-mistune, ros-one-rosdoc-lite
Description: Common configuration for CRAS packages documentation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-cras-docs-common//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install
